Bug 465451 - Backport konsole session management patch from 4.2
Backport konsole session management patch from 4.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
http://websvn.kde.org/?view=rev&revis...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 07:58 EDT by Stefan Becker
Modified: 2008-10-30 05:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 05:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KDE SVN trunk revisions 867154 to 867477 changes backported to 4.1.1 (35.69 KB, patch)
2008-10-05 11:40 EDT, Stefan Becker
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 152761 None None None Never

  None (edit)
Description Stefan Becker 2008-10-03 07:58:50 EDT
Session management, i.e. restore of windows, tabs & directories, is missing in KDE4's konsole. Many KDE users (including me) have considered this as a serious drawback and therefore didn't move to Fedora 9. With the demise of Fedora 8 coming up soon, this is no longer an option.

A patch has been committed to the KDE trunk to implement session management in konsole (see URL). Please consider backporting it to Fedora 9/10's KDE 4.1.x. The patch has originally been developed for KDE 4.1.X so it should not be a problem to backport it.
Comment 1 Kevin Kofler 2008-10-03 08:03:23 EDT
Richard Knight (the Konsole upstream author) says he wants to do more testing against 4.1.x before recommending a backport. I CCed myself to the upstream bug, I'll track this.
Comment 2 Kevin Kofler 2008-10-03 08:04:48 EDT
Oops, he's called Robert Knight, not Richard, sorry. ;-)
Comment 3 Stefan Becker 2008-10-05 11:40:38 EDT
Created attachment 319498 [details]
KDE SVN trunk revisions 867154 to 867477 changes backported to 4.1.1

This backported patch applies on top of

  kdebase-4.1.1-1.fc9.src.rpm

RPM compiles OK and konsole finally has session management...
Comment 4 Ngo Than 2008-10-06 09:55:20 EDT
the fix is included kdebase-4.1.2-3, thanks
Comment 5 Stefan Becker 2008-10-06 23:33:55 EDT
Kevin already included the latest updates to the patch. Thanks.

Any idea when KDE 4.1.2 will be pushed to updates-testing-newkey?
Comment 6 Kevin Kofler 2008-10-06 23:37:30 EDT
In the next push. But that update set includes the old kdebase-4.1.2-2.fc9 build without your patches.
Comment 7 Kevin Kofler 2008-10-06 23:37:57 EDT
(The push is already underway, so it's probably too late to update it now.)
Comment 8 Stefan Becker 2008-10-07 11:02:26 EDT
KDE 4.1.2 push arrived plus I installed the latest kdebase RPMs from koji. Seems to work correctly in my initial tests.

Note You need to log in before you can comment on or make changes to this bug.